// MemberInfoDlg_Global.h : header file
//
#if !defined(_MEMBERINFODLG_GLOBAL_H_)
#define _MEMBERINFODLG_GLOBAL_H_

#include "PropertyEditorDlg.h"
#include <string>
#include "CfgEdit.h"
#include "CfgItemName.h"
#include "CfgComboBox.h"

using namespace std;

class CXmlMemberInfo;
class CXmlBaseElement;

/////////////////////////////////////////////////////////////////////////////
// CMemberInfoDlg_Global dialog

class CMemberInfoDlg_Global : public CPropertyEditorDlg
{
// Construction
public:
	CMemberInfoDlg_Global(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMemberInfoDlg_Global)
	enum { IDD = IDD_MEMBERINFO_GLOBAL };
	CCfgComboBox	cboPersistence_;
	CCfgEdit		txtMemberCaption_;
	CCfgItemName	txtMemberName_;
	CCfgEdit		txtMemberDescription_;
	//}}AFX_DATA

public:	
	void StoreData();
	void SetData(CXmlBaseElement* element);
	void OnDataUpdate();

	void OnOK(){};
	void OnCancel(){};
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMemberInfoDlg_Global)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation 
protected:

	// Generated message map functions
	//{{AFX_MSG(CMemberInfoDlg_Global)
	afx_msg void OnKillFocusTxtMembername();
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	void UpdateWindowSize();

	CXmlMemberInfo* memberInfo_;
	bool initialized_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_MEMBERINFODLG_GLOBAL_H_)
